# ApplicationFramework
TKLCAF
TDF

# TDF_ListIteratorOfIDList Class Reference

`#include <TDF_ListIteratorOfIDList.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_ListIteratorOfIDList ()
Standard_EXPORT | TDF_ListIteratorOfIDList (const TDF_IDList &L)
Standard_EXPORT void | Initialize (const TDF_IDList &L)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT Standard_GUID & | Value () const

## Private Attributes

Standard_Address | current
Standard_Address | previous

## Constructor & Destructor Documentation

Standard_EXPORT TDF_ListIteratorOfIDList::TDF_ListIteratorOfIDList | ( |  | ) |

Standard_EXPORT TDF_ListIteratorOfIDList::TDF_ListIteratorOfIDList | ( | const TDF_IDList & | L | ) |

## Member Function Documentation

Standard_EXPORT void TDF_ListIteratorOfIDList::Initialize | ( | const TDF_IDList & | L | ) |

Standard_Boolean TDF_ListIteratorOfIDList::More | ( |  | ) | const

Standard_EXPORT void TDF_ListIteratorOfIDList::Next | ( |  | ) |

void TDF_ListIteratorOfIDList::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_ListIteratorOfIDList::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_ListIteratorOfIDList::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_GUID& TDF_ListIteratorOfIDList::Value | ( |  | ) | const

## Field Documentation

Standard_Address TDF_ListIteratorOfIDList::current `[private]`

Standard_Address TDF_ListIteratorOfIDList::previous `[private]`

The documentation for this class was generated from the following file:

- TDF_ListIteratorOfIDList.hxx